LINUX.ORG.RU

Установка R и R-studio на Linux Mint. Нужна пошаговая помощь новичку.

 , ,


0

1

Добрый день! Задача: быстро и без лишних действия(по возможности)установить R и R-Studio на Linux Mint15 :olivia, согласно http://cran.at.r-project.org/

Проблема: новичок, абсолютный - желательно предельно доходчиво объяснять.Спасибо:)

Ситуация: При 'sudo apt-get install r-base' Чтение списков пакетов… Готово Построение дерева зависимостей Чтение информации о состоянии… Готово E: Не удалось найти пакет r-base

Задача: установить R-Studio на Linux Mint15

задача поставлена некорректно. Задача должна звучать так: «ищу программу, которая должна делать .......». Точки замени на нужное.

powerguy ★★ ()

Во-первых разберись почему не работает update; во-вторых можно скачать с оф. сайта deb-файл и поставить через sudo dpkg -i файл.deb если пакета нет в дереве (но не факт, что ты указываешь правильное имя пакета)

grem ★★★★★ ()
Ответ на: комментарий от grem

Спасибо)я пытаюсь следовать инструкциям: http://cran.at.r-project.org/ как разобраться почему не работает update?(там огромный лист ошибок...такого вида: Игн http://archive.canonical.com raring Release В кэше http://dl.google.com stable Release Игн http://archive.canonical.com raring/partner i386 Packages/DiffIndex Игн http://dl.google.com stable Release

или

Ош http://archive.ubuntu.com raring/restricted amd64 Packages 404 Not Found [IP: 91.189.88.153 80] Не знаю, с чего начать или как проще

Anastasia93 ()
Ответ на: комментарий от powerguy

Ищу способ, как прост установить R и R-Studio. Глобально, задача классификации и нахождения «аномальных» показателей в большом количестве данных, но это позже.

Anastasia93 ()
Ответ на: комментарий от Anastasia93

Как всегда: выяснить параметры подключения, открыть networkmanager и настроить :)

lampslave ★★ ()
Ответ на: комментарий от lampslave

Ok,кажется,с интернетом все ок. Подскажите,как быстро и без проблем установить R, пожалуйста.

Anastasia93 ()
Ответ на: комментарий от Anastasia93

Откуда вы эти репозитории взяли?

raring/*

Это очень старая убунта, которая уже не поддерживается. Поэтому и пакеты не можете получить.

Обновите дистрибутив до чего-то более свежего.

BaBL ★★★★★ ()
Ответ на: комментарий от Anastasia93

По всей видимости вам нужно подключить дополнительный репозиторий https://launchpad.net/~marutter/ archive/ubuntu/rrutter/ (см. Read about installing), только вот там нет версии для raring. Можно попробовать версии для saucy или quantal, но не факт, что будет работать.

lampslave ★★ ()

R-Studio

Это диски починять? Оно под винду вроде бы.

anonymous ()

скорее всего придется поставить из старого репозитария совместимого стабильного релиза дебиана

а с чем связано такое требование именно окаменелой версии системы? пакеты-расширения R будут требовать при install.package(«пакет») свежие либы для компиляции, все это не нужный гимор по моему. поэтому вопрос --- зачем старый дистрибутив?

psv1967 ★★★★★ ()
Ответ на: комментарий от psv1967

да,действительно окаменелый..не знаю,что делать. я загрузила пакеты r-base но: sudo apt-get install r-base Чтение списков пакетов… Готово Построение дерева зависимостей/ Чтение информации о состоянии… Готово/ Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,/ или же используете нестабильную версию дистрибутива, где запрошенные вами/ пакеты ещё не созданы или были удалены из Incoming./ Следующая информация, возможно, поможет вам:/

Пакеты, имеющие неудовлетворённые зависимости:/ r-base : Зависит: r-base-core (>= 3.1.2-1precise0) но он не будет установлен/ Зависит: r-recommended (= 3.1.2-1precise0) но он не будет установлен/ Рекомендует: r-base-html но он не будет установлен E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты./

Anastasia93 ()
Ответ на: комментарий от Anastasia93

Просто dist-upgrade сделать (или как там это происходит в минте?)

psv1967 ★★★★★ ()
Ответ на: комментарий от BaBL

у меня Linux Mint 15: Olivia. Да,«так, как дистрибутив основан на Ubuntu 13.04, то и поддержка, соответственно, продлится до января 2014 г.» Вы правы, очень..

Anastasia93 ()
Ответ на: комментарий от psv1967

mintupdate - Менеджер обновлений пуст. Подскажите, до чего обновить? пока не ясно даже что гуглить.

Anastasia93 ()
Ответ на: комментарий от BaBL

Это очень старая убунта

в этом весь этот ващь линакс... полтора года всего а уже «очень старая»!!

на мою экспишку всё ставится!!

лузерыыы!

anonymous ()
Ответ на: комментарий от Anastasia93

не пудри себе и другим мОзги.

скачай актуальную бубунту (а не мЕнты всякие), поставь в два щелчка и дальше уже всё нормально будет.

anonymous ()
Ответ на: комментарий от anonymous

Мне кажется, обновление дистрибутивов будет менее рискованно в моей ситуации. Хотя, не могу сказать этого с уверенностью

Anastasia93 ()

А мне кажется, тут нужна пошаговая инструкция в картинках

Burnet ()
Ответ на: комментарий от Burnet

будет не лишним и точно уменьшит кол-во послед задаваемых вопросов..:)

Anastasia93 ()
Ответ на: комментарий от Anastasia93

По факту обычно достаточно в /etc/apt/sources.list указать более новую версию дистрибутива. В вашем случае это trusty (на нем Mint 17 основан), везде где увидите raring - поменяйте на trusty и сделайте

sudo apt-get update

если ошибок 404 not found там не будет, можете запустить

sudo apt-get dist-upgrade

или лучше попробуйте сначала минтовский апгрейдер (вы его кажется уже выше приводили с надписью что нет обновлений, вот теперь он их найдет)

если апт ругается на проблемные пакеты или что-то из этой серии (как у вас с r-base), обычно хватает

sudo apt-get -f install

и

sudo dpkg --configure -a

Попробуйте две эти команды, подергайте пару раз в разных последовательностях (никаких пакетов указывать не надо), они обычно решают все вопросы по пакетам, если что-то недоустановлено и это невозможно - удалят, если просто не хватает зависимостей - доустановят.


Так же сразу скажу, что обновление дистрибутива может выбросить вас в консоль, черный экран со строкой ввода (это никакая не страшная проблема, иногда просто бывают нюансы по установке драйверов на видео и линукс их не всегда успешно решает сам, в результате рабочий стол не может загрузиться), никакой кнопки минт не будет и т.д. Опытные линуксоиды знают что делать, в вашем случае лучше иметь под рукой запасной вариант, чтобы можно было выйти в интернет и спросить.

BaBL ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.